<!--
function Mantopic(bid,act,aid,id)
{
GETAjax("../bbs/Rewards.asp?bid="+bid+"&action="+act+"&aid="+aid+"&id="+id,"MsnUserput","管理贴子");
return false;
}
function Rewardstopic(bid,aid){
    createXMLHttpRequest();		  
    XMLHttpReq.open("POST","../bbs/RewardsTopic.asp?bid="+bid+"&aid="+aid,true);
    XMLHttpReq.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                  if(msg == "ok_1"){
		        window.alert("此主题贴奖惩成功！");
                        window.parent.location.reload();CloseDiv();
	          } else if(msg == "ok_2"){
		        window.alert("此主题贴移动成功！");
                        window.location.href="List.asp?bid="+bid;CloseDiv();
	          } else{
                        window.alert(msg);CloseDiv();
                  }
            } else{
                window.alert(msg_err);	
            }
        }
    }
    var points=getObjValues("points");
    var act=getObjValues("act");
    var rew_title=getObjValues("rew_title");
    var temp=document.getElementsByName("dxyes");
    var dxyes = 0;
    for( var i = 0; i < temp.length; i++ ) { 
    if ( temp[i].checked ){ dxyes=1; } 
    } 
    var strA = "points=" + escape(points);
    strA += "&action=" + escape(act);
    strA += "&rew_title=" + escape(rew_title);
    strA += "&dxyes=" + escape(dxyes);
    XMLHttpReq.send(strA);
}
function Rewardsreply(bid,aid){
    createXMLHttpRequest();		  
    XMLHttpReq.open("POST","../bbs/RewardsReply.asp?bid="+bid+"&aid="+aid,true);
    XMLHttpReq.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                  if(msg == "ok"){
		        window.alert("此回贴奖惩成功！");
                        window.parent.location.reload();CloseDiv();
	          } else{
                        window.alert(msg);CloseDiv();
                  }
            } else{
                window.alert(msg_err);	
            }
        }
    }
    var points=getObjValues("points");
    var act=getObjValues("act");
    var rew_title=getObjValues("rew_title");
    var temp=document.getElementsByName("dxyes");
    var dxyes = 0;
    for( var i = 0; i < temp.length; i++ ) { 
    if ( temp[i].checked ){ 
        dxyes=1; 
        } 
    } 
    var strA = "points=" + escape(points);
    strA += "&action=" + escape(act);
    strA += "&rew_title=" + escape(rew_title);
    strA += "&dxyes=" + escape(dxyes);
    XMLHttpReq.send(strA);
}
function showBBsUser(id,t){
    createXMLHttpRequest();		  
    XMLHttpReq.open("GET","../bbs/User_Ajax.asp?id="+id+"&t="+t,true);
    XMLHttpReq.onreadystatechange=function(){
        if(XMLHttpReq.readyState==4){
            if(XMLHttpReq.status==200){
                var msg=unescape(XMLHttpReq.responseText);
                document.getElementById("Memberinformation"+t+"_menu").innerHTML=msg;
                
            } else{
                window.alert(msg_err);	
            }
        }
    }
    XMLHttpReq.send(null); 
}
function colorput(bid,id,t){
    var str = "";
    str ='<a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=1"><font color="#FF0000">红色</font></a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=2"><font color="#0000FF">蓝色</font></a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=3"><font color="#007500">绿色</font></a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=4"><font color="#750000">暗红</font></a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=5"><font color="#FF00FF">粉红</font></a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=6">霓虹</a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=7">跳跃</a><br /><a href="bbs_admin.asp?act=changecolor&id='+id+'&bid='+bid+'&type=0">还原题色</a><br /><a href="Topicdel.asp?bid='+bid+'&action=del&id='+id+'" Title="删除此主题贴">删除此贴</a>';
    document.getElementById(t+"_menu").innerHTML=str;
}
// -->